Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.server
Class HttpServletRequestWrapper

    java.lang.Object
      org.apache.cactus.server.AbstractHttpServletRequestWrapper
          org.apache.cactus.server.HttpServletRequestWrapper

All Implemented Interfaces:
  javax.servlet.http.HttpServletRequest, javax.servlet.ServletRequest

public class HttpServletRequestWrapper
extends AbstractHttpServletRequestWrapper

Encapsulation class for the Servlet 2.2 API `HttpServletRequest`. This is an implementation that delegates all the call to the `HttpServletRequest` object passed in the constructor except for some overridden methods which are use to simulate a URL. This is to be able to simulate any URL that would have been used to call the test method : if this was not done, the URL that would be returned (by calling the `getRequestURI()` method or others alike) would be the URL of the server redirector servlet or JSP and not a URL that the test case want to simulate.

Version:
  $Id: HttpServletRequestWrapper.java 238991 2004-05-22 11:34:50Z vmassol $

Field Summary

Fields inherited from class org.apache.cactus.server.AbstractHttpServletRequestWrapper
`remoteHostName, remoteIPAddress, remoteUser, request, url`

Constructor Summary
`HttpServletRequestWrapper(javax.servlet.http.HttpServletRequest theRequest, ServletURL theURL)` Construct an `HttpServletRequest` instance that delegates it's method calls to the request object passed as parameter and that uses the URL passed as parameter to simulate a URL from which the request would come from.

Methods inherited from class org.apache.cactus.server.AbstractHttpServletRequestWrapper
`getAttribute, getAttributeNames, getAuthType, getCharacterEncoding, getContentLength, getContentType, getContextPath, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getInputStream, getIntHeader, getLocale, getLocales, getMethod, getOriginalRequest, getParameter, getParameterNames, getParameterValues, getPathInfo, getPathTranslated, getProtocol, getQueryString, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemoteUser, getRequestDispatcher, getRequestedSessionId, getRequestURI, getScheme, getServerName, getServerPort, getServletPath, getSession, getSession, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isSecure, isUserInRole, removeAttribute, setAttribute, setRemoteHostName, setRemoteIPAddress, setRemoteUser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpServletRequestWrapper

    public HttpServletRequestWrapper(javax.servlet.http.HttpServletRequest theRequest,
                                     ServletURL theURL)

  Construct an `HttpServletRequest` instance that delegates it's method calls to the request object passed as parameter and that uses the URL passed as parameter to simulate a URL from which the request would come from.

Parameters:
  `theRequest` - the real HTTP request
  `theURL` - the URL to simulate or `null` if none

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.